Name: gateway-rockspecs
Version: 1.0.0
Release: 1%{?dist}
Summary: Lua Dependencies for RHMAP Gateway.
# router and inspect are MIT, lua-resty is BSD.
License: MIT and 2-clause BSD
URL: https://github.com/3scale/apicast
BuildArch: noarch

Source0: lua-resty-http-0.09-0.src.rock.tgz
Source1: router-2.1-0.src.rock.tgz
Source2: inspect-3.1.0-1.src.rock.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: luarocks
# Using requires so we can regenerate the manifest on installation.
Requires: luarocks

%description
RPM to bundle required Lua dependencies for RHMAP Gateway.

%prep
%autosetup -c %{name}-%{version}
%autosetup -D -a 1 -c %{name}-%{version}
%autosetup -D -a 2 -c %{name}-%{version}

%install
luarocks install --deps-mode=none --tree %{buildroot}/usr/local lua-resty-http-0.09-0.src.rock
luarocks install --deps-mode=none --tree %{buildroot}/usr/local router-2.1-0.src.rock
luarocks install --deps-mode=none --tree %{buildroot}/usr/local inspect-3.1.0-1.src.rock
rm -f %{buildroot}/usr/local/lib64/luarocks/rocks/manifest

%post
luarocks-admin --tree=/usr/local  make_manifest --local-tree

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/local/lib64/luarocks/
/usr/local/share/lua/

%changelog
* Wed Oct 12 2016 Nick Cross <ncross@redhat.com>
-
